import {User} from "./User";
import { Page } from "./Page";

export class Authorization {
    authenticated = false;
    token: string = "";
    user?: User;
    pages: Page[] = [];

    public constructor(init?:Partial<Authorization>) {
        Object.assign(this, init);
    }
}